org.richfaces.renderkit

## Class AjaxCommandRendererBase

- java.lang.Object
- - javax.faces.render.Renderer
  - - org.richfaces.renderkit.RendererBase
    - - org.richfaces.renderkit.AjaxCommandRendererBase

- Direct Known Subclasses:
    AjaxFunctionRendererBase, CommandButtonRendererBase, CommandLinkRenderer

      public abstract class AjaxCommandRendererBase
      extends org.richfaces.renderkit.RendererBase

  Version:
    $Revision: 1.1.2.3 $ $Date: 2007/02/12 17:46:53 $
  Author:
    asmirnov@exadel.com (latest modification by $Author: alexsmirnov $)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AjaxCommandRendererBase()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `doDecode(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `String` | `getOnClick(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
    `protected boolean` | `isSubmitted(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent uiComponent)`
    `protected void` | `queueComponentEventForBehaviorEvent(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component, String eventName)`

    - ### Methods inherited from class org.richfaces.renderkit.RendererBase

      `concatClasses, concatStyles, decode, doEncodeBegin, doEncodeChildren, doEncodeEnd, encodeBegin, encodeChildren, encodeEnd, getComponentClass, getResourcePath, getSkin, getUtils, preDecode, preEncodeBegin, renderChildren`

    - ### Methods inherited from class javax.faces.render.Renderer

      `convertClientId, getConvertedValue, getRendersChildren`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AjaxCommandRendererBase

          public AjaxCommandRendererBase()

  - ### Method Detail

    - #### queueComponentEventForBehaviorEvent

          protected void queueComponentEventForBehaviorEvent(javax.faces.context.FacesContext context,
                                                 javax.faces.component.UIComponent component,
                                                 String eventName)

      Overrides:
        `queueComponentEventForBehaviorEvent` in class `org.richfaces.renderkit.RendererBase`

    - #### doDecode

          protected void doDecode(javax.faces.context.FacesContext facesContext,
                      javax.faces.component.UIComponent uiComponent)

      Overrides:
        `doDecode` in class `org.richfaces.renderkit.RendererBase`

    - #### isSubmitted

          protected boolean isSubmitted(javax.faces.context.FacesContext facesContext,
                            javax.faces.component.UIComponent uiComponent)

    - #### getOnClick

          public String getOnClick(javax.faces.context.FacesContext context,
                          javax.faces.component.UIComponent component)

Copyright © 2013 JBoss by Red Hat. All Rights Reserved.